Bug 244373 - Review Request: sugar-presence-service - Sugar presence service
Review Request: sugar-presence-service - Sugar presence service
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Package Reviews List
:
Depends On:
Blocks: 244371 FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2007-06-15 06:04 EDT by Marco Pesenti Gritti
Modified: 2010-06-11 00:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 16:36:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ivazqueznet: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch for spec file (1.23 KB, patch)
2007-06-16 18:58 EDT, Ignacio Vazquez-Abrams
no flags Details | Diff

  None (edit)
Description Marco Pesenti Gritti 2007-06-15 06:04:47 EDT
Spec URL: http://dev.laptop.org/~marco/sugar-presence-service.spec
SRPM URL: http://dev.laptop.org/~marco/sugar-presence-service-0.65-1.git52b8a7428a.1.src.rpm
Description: The Sugar presence service.
Comment 1 Marco Pesenti Gritti 2007-06-15 06:29:01 EDT
The plan is to add this package to the olpc-2 branch.
Comment 2 Ignacio Vazquez-Abrams 2007-06-16 18:58:52 EDT
Created attachment 157206 [details]
Patch for spec file

rpmlint output:

sugar-presence-service-0.65-1.git52b8a7428a.1.i386.rpm:
W: sugar-presence-service no-documentation
E: sugar-presence-service no-binary
sugar-presence-service-0.65-1.git52b8a7428a.1.src.rpm:
W: sugar-presence-service mixed-use-of-spaces-and-tabs (spaces: line 3, tab:
line 14)
sugar-presence-service-debuginfo-0.65-1.git52b8a7428a.1.i386.rpm:
E: sugar-presence-service-debuginfo empty-debuginfo-package


NOTE: I received a weird message during git-checkout. I don't know enough about
git to tell what the issue is:

$ git-checkout 52b8a7428a
Note: moving to "52b8a7428a" which isn't a local branch
If you want to create a new branch from this checkout, you may do so
(now or later) by using -b with the checkout command again. Example:
  git checkout -b <new_branch_name>

Patch included.
Comment 3 Marco Pesenti Gritti 2007-06-17 11:01:33 EDT
Applied the patch, thanks!
I also updated the snapshot. I think the old one had incorrect git commit id,
hence the git-checkout error.

http://dev.laptop.org/~marco/sugar-presence-service-0.65-1.git8f3a97dbda.1.src.rpm
http://dev.laptop.org/~marco/sugar-presence-service.spec
Comment 4 Ignacio Vazquez-Abrams 2007-06-18 09:02:23 EDT
I see that sugar owns %{_datadir}/sugar/, but I didn't verify that it owns
%{_datadir}/sugar/services/. If it doesn't then you'll need to make this package
own it. If it does then you'll need to make this package Require sugar.

This package should also require dbus for %{_datadir}/dbus-1/services/.
Comment 5 Marco Pesenti Gritti 2007-06-18 09:45:03 EDT
>I see that sugar owns %{_datadir}/sugar/, but I didn't verify that it owns
>%{_datadir}/sugar/services/. If it doesn't then you'll need to make this package
>own it. If it does then you'll need to make this package Require sugar.

I'm not really sure what to do here. Sugar install other services in
%{_datadir}/sugar/services/ so I guess it should own the dir. Though the
presence service should not require Sugar.

Maybe the sources should be fixed to install in
%{_datadir}/sugar-presence-service. CCing Dan about it.
Comment 6 Dan Williams 2007-06-18 10:07:05 EDT
Yeah, installing it outside %{_datadir}/sugar sounds like the right thing to do
since it doesn't depend on sugar.  %{_datadir}/sugar-presence-service sounds
good for now.
Comment 8 Ignacio Vazquez-Abrams 2007-06-19 12:31:40 EDT
I'll approve it, but you might want to fix up the release.
Comment 9 Marco Pesenti Gritti 2007-06-19 13:43:56 EDT
Thanks, I'll fix the release before importing.

New Package CVS Request
=======================
Package Name: sugar-presence-service
Short Description: The Sugar presence service
Owners: mpg@redhat.com
Branches: OLPC-2
InitialCC: mpg@redhat.com
Comment 10 Jason Tibbitts 2007-06-19 14:41:57 EDT
CVS done.
Comment 11 Marco Pesenti Gritti 2008-11-03 12:13:56 EST
Package Change Request
======================
Package Name: sugar-presence-service
New Branches: F-11
Comment 12 Marco Pesenti Gritti 2008-11-03 13:00:21 EST
Package Change Request
======================
Package Name: sugar-presence-service
New Branches: F-10
Comment 13 Dennis Gilmore 2008-11-03 13:59:05 EST
CVS Done
Comment 14 Tomeu Vizoso 2008-11-12 06:08:02 EST
Package Change Request
======================
Package Name: sugar-presence-service
New Branches: OLPC-4
Owners: mpg erikos tomeu
Comment 15 Kevin Fenzi 2008-11-12 11:54:49 EST
cvs done.
Comment 16 Peter Robinson 2010-06-10 16:52:40 EDT
Package Change Request
======================
Package Name: sugar-presence-service
New Branches: EL-6
Owners: pbrobinson sdz
Comment 17 Kevin Fenzi 2010-06-11 00:28:52 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.